/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 脚本信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-18 17:29:31  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "脚本信息表")
public class AtuScriptInfo extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_groupId = "groupId";
  public static final String KEY_scriptName = "scriptName";
  public static final String KEY_scriptCode = "scriptCode";
  public static final String KEY_scriptType = "scriptType";
  public static final String KEY_latestVersionId = "latestVersionId";
  public static final String KEY_scriptUrl = "scriptUrl";
  public static final String KEY_dataUrl = "dataUrl";
  public static final String KEY_isDeleted = "isDeleted";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_appId = "appId";
  public static final String KEY_appPackage = "appPackage";
  public static final String KEY_platform = "platform";
  public static final String KEY_principalId = "principalId";
  /**
   * 脚本ID<br>
   */
  @ApiModelProperty("脚本ID")
  @Size(max = 32, message="脚本ID-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 脚本目录ID<br>
   */
  @ApiModelProperty("脚本目录ID")
  @Size(max = 32, message="脚本目录ID-groupId: 数据长度不能 > 32" )
  private String groupId;
  /**
   * 脚本名称<br>
   */
  @ApiModelProperty("脚本名称")
  @Size(max = 90, message="脚本名称-scriptName: 数据长度不能 > 90" )
  private String scriptName;

  /**
   * 脚本编号<br>
   */
  @ApiModelProperty("脚本编号")
  private String scriptCode;

  /**
   * 脚本类型<br>
   */
  @ApiModelProperty("脚本类型")
  @Size(max = 32, message="脚本类型-scriptType: 数据长度不能 > 32" )
  private String scriptType;
  /**
   * 最新版本ID<br>
   */
  @ApiModelProperty("最新版本ID")
  private Integer latestVersionId;
  /**
   * 脚本地址<br>
   */
  @ApiModelProperty("脚本地址")
  @Size(max = 255, message="脚本地址-scriptUrl: 数据长度不能 > 255" )
  private String scriptUrl;
  /**
   * 脚本快照数据地址<br>
   */
  @ApiModelProperty("脚本快照数据地址")
  @Size(max = 255, message="脚本快照数据地址-dataUrl: 数据长度不能 > 255" )
  private String dataUrl;
  /**
   * 是否删除<br>
   */
  @ApiModelProperty("是否删除")
  @Size(max = 1, message="是否删除-isDeleted: 数据长度不能 > 1" )
  private String isDeleted;
  /**
   * 系统ID<br>
   */
  @ApiModelProperty("系统ID")
  @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 租户号<br>
   */
  @ApiModelProperty("租户号")
  @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 应用ID<br>
   */
  @ApiModelProperty("应用ID")
  @Size(max = 32, message="应用ID-appId: 数据长度不能 > 32" )
  private String appId;
  /**
   * 应用包名<br>
   */
  @ApiModelProperty("应用包名")
  private String appPackage;
  /**
   * 应用平台<br>
   */
  @ApiModelProperty("应用平台")
  private String platform;

  @ApiModelProperty("负责人")
  private String principalId;

  public String getPlatform() {
    return platform;
  }

  public void setPlatform(String platform) {
    this.platform = platform;
  }

  /**
   * 脚本ID<br>
   * @return
   */
  public String getId()
  {
    return id;
  }

  /**
   * 脚本ID<br>
   *
   * @param id 脚本ID
   */
  public void setId(String id)
  {
    this.id = id;
  }
  /**
   * 脚本目录ID<br>
   */
  public String getGroupId()
  {
    return groupId;
  }

  /**
   * 脚本目录ID<br>
   *
   * @param groupId 脚本目录ID
   */
  public void setGroupId(String groupId)
  {
    this.groupId = groupId;
  }
  /**
   * 脚本名称<br>
   */
  public String getScriptName()
  {
    return scriptName;
  }

  /**
   * 脚本名称<br>
   *
   * @param scriptName 脚本名称
   */
  public void setScriptName(String scriptName)
  {
    this.scriptName = scriptName;
  }

  public String getScriptCode() {
    return scriptCode;
  }

  public void setScriptCode(String scriptCode) {
    this.scriptCode = scriptCode;
  }

  /**
   * 脚本类型<br>
   */
  public String getScriptType()
  {
    return scriptType;
  }

  /**
   * 脚本类型<br>
   *
   * @param scriptType 脚本类型
   */
  public void setScriptType(String scriptType)
  {
    this.scriptType = scriptType;
  }
  /**
   * 最新版本ID<br>
   */
  public Integer getLatestVersionId()
  {
    return latestVersionId;
  }

  /**
   * 最新版本ID<br>
   *
   * @param latestVersionId 最新版本ID
   */
  public void setLatestVersionId(Integer latestVersionId)
  {
    this.latestVersionId = latestVersionId;
  }
  /**
   * 脚本地址<br>
   */
  public String getScriptUrl()
  {
    return scriptUrl;
  }

  /**
   * 脚本地址<br>
   *
   * @param scriptUrl 脚本地址
   */
  public void setScriptUrl(String scriptUrl)
  {
    this.scriptUrl = scriptUrl;
  }
  /**
   * 脚本快照数据地址<br>
   */
  public String getDataUrl()
  {
    return dataUrl;
  }

  /**
   * 脚本快照数据地址<br>
   *
   * @param dataUrl 脚本快照数据地址
   */
  public void setDataUrl(String dataUrl)
  {
    this.dataUrl = dataUrl;
  }
  /**
   * 是否删除<br>
   */
  public String getIsDeleted()
  {
    return isDeleted;
  }

  /**
   * 是否删除<br>
   *
   * @param isDeleted 是否删除
   */
  public void setIsDeleted(String isDeleted)
  {
    this.isDeleted = isDeleted;
  }
  /**
   * 系统ID<br>
   */
  public String getProjectId()
  {
    return projectId;
  }

  /**
   * 系统ID<br>
   *
   * @param projectId 系统ID
   */
  public void setProjectId(String projectId)
  {
    this.projectId = projectId;
  }
  /**
   * 租户号<br>
   */
  public String getTenantId()
  {
    return tenantId;
  }

  /**
   * 租户号<br>
   *
   * @param tenantId 租户号
   */
  public void setTenantId(String tenantId)
  {
    this.tenantId = tenantId;
  }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
    return createdBy;
  }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
    if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
  }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
    if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
  }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
    return updatedBy;
  }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
    this.updatedBy = updatedBy;
  }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
    if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
  }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
    if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
  }
  /**
   * 应用ID<br>
   */
  public String getAppId()
  {
    return appId;
  }

  /**
   * 应用ID<br>
   *
   * @param appId 应用ID
   */
  public void setAppId(String appId)
  {
    this.appId = appId;
  }
  /**
   * 应用包名<br>
   */
  public String getAppPackage()
  {
    return appPackage;
  }

  /**
   * 应用包名<br>
   *
   * @param appPackage 应用包名
   */
  public void setAppPackage(String appPackage)
  {
    this.appPackage = appPackage;
  }

  public String getPrincipalId() {
    return principalId;
  }

  public void setPrincipalId(String principalId) {
    this.principalId = principalId;
  }

  public AtuScriptInfo()
  {
  }

}
